import { IsNotEmpty, IsOptional } from 'class-validator';

export class OrderTransactionDto {
  @IsNotEmpty()
  productCode: string;

  @IsNotEmpty()
  destination: string;

  @IsOptional()
  trx_id: string;
}
