import { IsNotEmpty } from 'class-validator';

export class CreatePartnerDto {
  @IsNotEmpty()
  name: string;

  @IsNotEmpty()
  address: string;

  @IsNotEmpty()
  owner: string;

  @IsNotEmpty()
  code: string;

  @IsNotEmpty()
  npwp: string;

  @IsNotEmpty()
  password_account: string;

  @IsNotEmpty()
  phone_number: string;
}
