import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { COA } from '../../transaction/entities/coa.entity';

@Entity()
export class Supplier extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column()
  code: string;

  @Column()
  status: boolean;

  coa: COA;

  coa_undistribute: COA;
}
