import { IsNotEmpty, IsUUID } from 'class-validator';
import { CreateCategoriesProductDto } from '../categories/create-categories-product.dto';

export class CreateSubCategoriesProductDto extends CreateCategoriesProductDto {
  @IsNotEmpty()
  name: string;

  @IsNotEmpty()
  code: string;

  @IsUUID()
  categoryId: string;
}
